import { ElementRef, OnInit } from "@angular/core";
import * as i0 from "@angular/core";
export declare class QMSRangeSliderDirective implements OnInit {
    private ele;
    constructor(ele: ElementRef);
    timerId: any;
    ngOnInit(): void;
    onMouseUp(): void;
    onMouseDown(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSRangeSliderDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<QMSRangeSliderDirective, "mat-slider[qms-range-slider]", never, {}, {}, never, never, false, never>;
}
